> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Imports

> Retrieve a list of imports



## OpenAPI

````yaml get /import
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /import:
    get:
      tags:
        - Import
      summary: List Imports
      description: Retrieve a list of imports
      parameters:
        - name: id
          in: query
          description: Import ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Import creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: type
          in: query
          description: Type of import
          schema:
            type: string
        - name: payload
          in: query
          description: Payload of import for small imports
          schema:
            type: string
        - name: contact_list_id
          in: query
          description: ID of the contact list that the contacts should be assigned to
          schema:
            type: string
        - name: contact_list_external_id
          in: query
          description: >-
            External ID of the contact list that the contacts should be assigned
            to
          schema:
            type: string
        - name: failed_url
          in: query
          description: URL to download the failed contacts
          schema:
            type: string
        - name: payload_url
          in: query
          description: URL to download the payload for large imports
          schema:
            type: string
        - name: total_count
          in: query
          description: Total number of contacts in the import
          schema:
            type: string
        - name: success_count
          in: query
          description: Number of contacts successfully imported
          schema:
            type: string
        - name: failed_count
          in: query
          description: Number of contacts that failed to import
          schema:
            type: string
        - name: reference_id
          in: query
          description: An optional reference ID provided during the import
          schema:
            type: string
        - name: hints
          in: query
          description: >-
            Optional hints for the import, e.g. to indicate if a field was
            stolen from another contact. We only store the first 20 hints.
          schema:
            type: string
        - name: allow_deal_reassignment
          in: query
          description: >-
            If true, a deal currently assigned to another contact will be
            re-assigned
          schema:
            type: string
        - name: allow_appointment_reassignment
          in: query
          description: >-
            If true, an appointment currently assigned to another contact will
            be re-assigned
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `created_at`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/import'
components:
  schemas:
    import:
      type: object
      properties:
        id:
          type: string
          description: Import ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Import creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        type:
          type: string
          description: Type of import
          format: public.import_type
          enum:
            - contact_details
            - deal_details
            - appointment_details
        payload:
          type: object
          description: Payload of import for small imports
          format: jsonb
          nullable: true
        contact_list_id:
          type: string
          description: ID of the contact list that the contacts should be assigned to
          format: uuid
          nullable: true
        contact_list_external_id:
          type: string
          description: >-
            External ID of the contact list that the contacts should be assigned
            to
          format: text
          nullable: true
        failed_url:
          type: string
          description: URL to download the failed contacts
          format: text
          nullable: true
        payload_url:
          type: string
          description: URL to download the payload for large imports
          format: text
          nullable: true
        total_count:
          type: integer
          description: Total number of contacts in the import
          format: integer
          nullable: true
        success_count:
          type: integer
          description: Number of contacts successfully imported
          format: integer
          nullable: true
        failed_count:
          type: integer
          description: Number of contacts that failed to import
          format: integer
          nullable: true
        reference_id:
          type: string
          description: An optional reference ID provided during the import
          format: text
          nullable: true
        hints:
          type: object
          description: >-
            Optional hints for the import, e.g. to indicate if a field was
            stolen from another contact. We only store the first 20 hints.
          format: jsonb
          nullable: true
        allow_deal_reassignment:
          type: boolean
          description: >-
            If true, a deal currently assigned to another contact will be
            re-assigned
          format: boolean
          nullable: true
        allow_appointment_reassignment:
          type: boolean
          description: >-
            If true, an appointment currently assigned to another contact will
            be re-assigned
          format: boolean
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````